Ticket #43460

Make log about unavailability of nonblocking sockets log_warn()

Open Date: 2021-12-22 13:50 Last Update: 2022-03-26 06:15

Reporter:
Owner:
Type:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
2

Details

Lack of nonblocking sockets can have bad effects when they are needed. Currently fc_nonblock() uses just log_debug() to inform user about this when it happens. Turn that log to log_warn() in S3_1 and master (where warn level exist). S3_0 should probably go to log_normal() (and not all the way to log_error())?

Ticket History (3/7 Histories)

2021-12-22 13:50 Updated by: cazfi
  • New Ticket "Make log about unavailability of nonblocking sockets log_warn()" created
2022-02-05 04:41 Updated by: cazfi
2022-03-11 06:13 Updated by: cazfi
  • Owner Update from (None) to cazfi
  • Resolution Update from None to Accepted
2022-03-13 08:31 Updated by: cazfi
Comment

Going to push S3_0 patch to S2_6 too, to help diagnose problems when porting to new platforms.

2022-03-26 06:15 Updated by: cazfi
  • Status Update from Open to Closed
  • Resolution Update from Accepted to Fixed

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login